View Issue Details

IDProjectCategoryLast Update
0021383AI War 2[All Projects] SuggestionAug 3, 2019 2:22 pm
ReporterYog-SothothAssigned Tox4000Bughunter 
Severityfeature 
Status resolvedResolutionfixed 
Product Version0.874 Basic Fleet Management 
Fixed in Version0.878 Fleet Customization 
Summary0021383: Fleet Loading/Unloading QoL ideas
DescriptionSo, two different ideas, one not very radical, one potentially moreso.

Less radical:
Flagships issued a Load command in Pursuit mode ought to move around collecting their fleet. Pursuit mode is a good catchall for this behavior, as you've already explicitly allowed your ships to roam freely, and it prevents needing to either manually micro the flagship to pick up your slow ships in a tight spot, or else leave them to trundle their way across the galaxy (looking at you, Muggers).

Potentially controversial:
With the move to fleets, manually loading/unloading seems a bit clunky in most cases. How about a toggle like Pursuit, where the fleet automatically loads when there's no hostiles in-system/when moving to a different system, and unloads when hostiles are present (in FRD) or when the flagship is attacked (non-FRD). You can toggle it off if you want to send your strikecraft through a wormhole without the transport, or for deepstriking, but it just seems like with the move to fleets, loading/unloading will almost always be optimal without adding much to gameplay, so if we can have the computer handle it, might as well do so. Edit: one potential issue I can think of is strikecraft in transports can't be repaired.
TagsNo tags attached.

Relationships

child of 0021310 assignedx4000Bughunter Fleets Phase 3 - Parent 

Activities

x4000Bughunter

Jul 11, 2019 9:45 am

administrator   ~0052180

In terms of the first idea, that would be really hard to optimize (it's the "traveling salesman" problem), and also potentially have your flagship wander into enemy fire if you're loading up for a retreat. Generally speaking people often have their transports in pursuit mode specifically so that anything that pops out of it is in pursuit mode, so I don't want to adjust behavior of the transport based on it being in that mode.

Regarding things automatically getting into the transports, I can see a lot of bug reports from people about that, too. Ships doing things on their own unexpectedly tends to cause bug reports. For example, it's entirely possible you want to have all your ships out and in pursuit mode on a planet that is going to be hit with a wave soon, or where you suspect the hunter might arrive, etc. But while you're not watching, the ships all get back into their transports.

Similarly, auto-disembarking is going to piss off a lot of people where if they have their transports gathering on a planet, and want to stay incognito until all the transports get there and are positioned.... if those transports randomly unload I'm going to be getting loads of bug reports about that. In general if things are suddenly doing behaviors that players don't expect or have any way to anticipate, I start getting angry mail. ;)

At the moment, the QoL improvement I made (a month ago) was that you just have to select the centerpieces and press L or U and the ships all go into their specific spots. Back in the original game, or in earlier versions of this game, you had to select the ships that you wanted to load, and you had to make sure that they fit into the transports in question, and it was a huge pain. Here it's literally one keystroke, after selecting the centerpieces themselves.

Arguably after centerpieces themselves are easier to select, it should solve a lot of the problem I'd think. But also I have been thinking that we need a "transporting mode" that gets toggled on when you hit the L key, so that any new ships the fleet produces go into the transport rather than spawning outside it. That's the biggest QoL hole I can see at the moment, personally.

But it sounds like you're running into some other scenario that's a pain, and I'd like to hear more about that.

Yog-Sothoth

Jul 11, 2019 11:49 am

reporter   ~0052182

Okay, so, say I want to move a couple of fleets and a combat factory across my territory to prepare an attack. If I just select the fleets and move them as is, it can obviously take several minutes for slower ships to traverse multiple planets. Can't queue up [Load everything]>[Move to destination] because loading only gives a command to the fleetships, meaning the leader immediately takes off and strands most of the fleet.

So, I can either:
a) issue a load command from the galaxy map (after making sure the planet's selected because fleets can't be loaded/unloaded unless both the fleet and the planet are selected), watch the tooltip slowly count up the loaded ships, and then issue move orders once everything's loaded, or
b) go to the planet view, load order, manually micro the flagships around to pick everything up, then go back to the galaxy map and issue the move order.

Even then, that just ends with the fleets on the last wormhole they just went through. If you want them on the hostile wormhole (say instead there's a wave incoming and your using the Consumer fleet), you have to go into the planet view to do that, which is fair enough, but you can't even do that until the fleet is already in-system because you can't command out-of-system fleets from the planet view.

Basically, my "ideal" scenario when presented with a wave to defend or attack to stage would be: Go to planet view, select fleets xyz*, queue up "load your dudes, then move here and unload everything". I get some or most of that may simply be beyond the scope of what y'all can or want to do, I just think it's weird to have moved towards fleets because it simplifies things, but then still have to do so much babysitting to make use of it.

*Custom control groups would be really nice here, incidentally.

x4000Bughunter

Jul 11, 2019 12:00 pm

administrator   ~0052184

The custom control groups are coming, it's on the list already -- multiple fleets in one control group, etc.

There are a couple of things that confuse me in your comments:

1. Are you having to micro around your flagships to select your fleets because your ships aren't able to load into it on their own otherwise? It should be "select flagships and hit L and ships automatically fly to it and get in." Maybe there's a bug with the pursuit mode thing on ships, I'm not sure.

2. I'm open to the load command just having ships immediately pop into the flagship, because it's a logistical pain otherwise that isn't worthwhile. There is some jankiness to that, because yes that would mean paralyzed ships and ships about to die can quickly be saved and so on, and some people will exploit that, but frankly the convenience it adds seems worth that to me. I agree that waiting for ships to load is Not Fun. I'm thinking that the ships would have to be on the same planet as the flagship, still, but that's it maybe. But hit L and they immediately pop into the transport. And then anything that is produced after that automatically loads into the flagship, which is problem part 2.

3. Are you also saying that basically you can't issue load orders for ships if you have that fleet selected but you aren't on the same planet as the fleet? That's a bug for sure.

I'm totally with you on wanting to make this seamless and quick to manage, I think we're just coming at the solution from slightly different angles and you have some information about some bugs in the current version that I'm only now learning about, so I'm playing catch-up.

Yog-Sothoth

Jul 11, 2019 12:38 pm

reporter   ~0052187

1&2: Not "having to", per se, I just mean if you want them loaded ASAP because you have to put out a fire somewhere, it's faster than letting them slowly fly to the flagship. 2 would do the same thing, though I wonder if just giving the fleetships a speed boost when moving to load wouldn't be more elegant. I suppose if you give them a cool little "teleporting out" animation to sell it, instaloading would work just fine haha.

3: It's kind of two parts:
a) In the galaxy map with a planet and fleet selected, fleet not on planet, loading and unloading don't function. Can still move to other planets.
b) In planet view, with target fleet (fleet 1) not present on planet, pressing 1 one time appears to do nothing. Fleet isn't selected in the lower right, fleet doesn't respond to any commands that I've seen (load/unload/move). Fleet 1 is technically selected, because if you tab out to the galaxy map, it shows in the selection panel and you can issue move orders, and pressing 1 again from planet view will switch to the planet the fleet is on correctly, but it is effectively uncommandable from the planet view if it's not in-system.

Yog-Sothoth

Jul 11, 2019 1:28 pm

reporter   ~0052188

Correction: Only loading doesn't work from the galaxy map under the above conditions, unloading works properly. Planet view still functions as I described.

x4000Bughunter

Jul 11, 2019 1:34 pm

administrator   ~0052189

I like your idea of just giving them a speed boost when they are in loading mode. That's a lot more elegant than the teleporting thing.

And good to know about those things in number 3, thanks for that. I can fix those. I think I know why it's doing that.

x4000Bughunter

Jul 30, 2019 12:59 pm

administrator   ~0052350

Thanks!

* Ships that are getting into transports now move 3x faster than usual.

x4000Bughunter

Aug 2, 2019 9:30 am

administrator   ~0052381

Thanks!

* Fixed a variety of oversights where if you issued things like Load/Unload orders to transports it would only work on the planet you were looking at, and not at all if you were on the galaxy map. Same with things like changing pursuit mode on and off for selected units, etc. Now all these things work properly for all the units you have selected, as you would expect.

* Transports now have a "loading mode" where everything is trying to load into it, and the things that are part of its fleet will skip all decollision logic even better now during that mode.
** So if a ship is on the way to loading into a transport, you shouldn't see it knock anything out of the way or get knocked out of the way at all anymore, or something is off.

* The explanations for how transports work have been updated to reflect the new mechanics in this build.

* When a fleet is in "attempting transport" mode, it now says that in the tooltip for the fleet as well as in the tooltip for the flagship of the fleet.

* When you had a fleet in attempting-transport mode, and there were still some ships on the way to the transport to load up, but then you hit unload before those ships get there... now it gives them the same orders that the ships being unloaded are getting.
** Actually, hitting L and then U is now a really quick way to copy all the orders from the flagship to all the ships on a planet in its fleet.

* When a fleet is in "attempting transport" mode, then any new ships that would be spawned at the fleet just go into the transport immediately rather than appearing by the flagship.
** This is really useful so you don't leave a trail of constructed ships in your wake of your transport as you fly off to fight an enemy if you've still got some ships constructing as you go.

* In the fleet sidebar popout window, it now doesn't cause ugly line-wrapping when you are transporting ships. Additionally, it now has an explanation with some tooltips about transporting ships, too.

RocketAssistedPuffin

Aug 2, 2019 2:52 pm

developer   ~0052382

These improvements are very welcome. Took me a bit to figure out how transporting worked, but got there in the end (I wondered if it was a bug I couldn't load anything in, but now the whole Fleet has to be selected and thrown in the Battle Bus).

x4000Bughunter

Aug 2, 2019 2:55 pm

administrator   ~0052383

Glad you like it!

On the subject of loading, though... I guess I should probably make it so that even if you have some ships selected, they'll load the whole fleet up? I had wrestled with that, and wasn't sure if that was more or less confusing. You select bomber a and hit Load, and suddenly an entire fleet is loading into that bomber's transport? I dunno. I was really torn.

RocketAssistedPuffin

Aug 2, 2019 3:05 pm

developer   ~0052384

When I thought about it, it made more sense to work like this. Everything has to load or unload together, so it seems reasonable that you have to have it all selected to order it. Essentially a Fleet wide action requires you have the Fleet fully selected.

In addition...I think having a single unit be ordered to load causing the Fleet to load would probably get numerous bug reports? And then there's the odd case of having Fleets with the same unit type in them, so you'd have to actually check which Fleet that Bomber belongs to if you try to load it that way?...

So for now I think the current system is less confusing. Of course I'm only one person and general feedback might be the opposite.

wm46

Aug 2, 2019 8:43 pm

reporter   ~0052386

I think transports will be a bit too cheesy in the near future, especially with all the buffs that they just got. Now that loading is done per fleet rather than per ship, maybe a way to reduce cheese is to have it so that after an unload command the fleet can't be ordered to load until after 5 seconds.

There's a specific change since the first game that makes transport cheese very attractive, ships continue reloading while they are inside a transport. You could do a hit and run in the first game by unloading, waiting 1 frame, then loading, but you couldn't endlessly repeat it to destroy things while taking very little counter attack.

Right now with how tanky transports and golems are, it's very attractive to let your transport's +1,000,000 hp absorb most of the AI's attacks and just unload every 10 seconds to fire off a volley.

x4000Bughunter

Aug 3, 2019 2:22 pm

administrator   ~0052389

RocketAssistedPuffin -- this mirrors my own thinking, too. I had come to similar conclusions for similar reasons. I don't know if anyone else will feel differently, as you say, but I do agree with you on this.

WeaponMaster -- that's a whole topic unto itself, and is a good point. I've made a new topic about that here: https://forums.arcengames.com/ai-war-ii/transport-balancecheesing/

Issue History

Date Modified Username Field Change
Jul 10, 2019 10:53 pm Yog-Sothoth New Issue
Jul 10, 2019 10:55 pm Yog-Sothoth Description Updated View Revisions
Jul 10, 2019 10:57 pm Yog-Sothoth Description Updated View Revisions
Jul 11, 2019 9:45 am x4000Bughunter Assigned To => x4000Bughunter
Jul 11, 2019 9:45 am x4000Bughunter Status new => feedback
Jul 11, 2019 9:45 am x4000Bughunter Note Added: 0052180
Jul 11, 2019 11:49 am Yog-Sothoth Note Added: 0052182
Jul 11, 2019 11:49 am Yog-Sothoth Status feedback => assigned
Jul 11, 2019 12:00 pm x4000Bughunter Note Added: 0052184
Jul 11, 2019 12:17 pm x4000Bughunter Relationship added child of 0021310
Jul 11, 2019 12:38 pm Yog-Sothoth Note Added: 0052187
Jul 11, 2019 1:28 pm Yog-Sothoth Note Added: 0052188
Jul 11, 2019 1:34 pm x4000Bughunter Note Added: 0052189
Jul 30, 2019 12:59 pm x4000Bughunter Note Added: 0052350
Aug 2, 2019 9:30 am x4000Bughunter Status assigned => resolved
Aug 2, 2019 9:30 am x4000Bughunter Resolution open => fixed
Aug 2, 2019 9:30 am x4000Bughunter Fixed in Version => 0.878 Fleet Customization
Aug 2, 2019 9:30 am x4000Bughunter Note Added: 0052381
Aug 2, 2019 2:52 pm RocketAssistedPuffin Note Added: 0052382
Aug 2, 2019 2:55 pm x4000Bughunter Note Added: 0052383
Aug 2, 2019 3:05 pm RocketAssistedPuffin Note Added: 0052384
Aug 2, 2019 8:43 pm wm46 Note Added: 0052386
Aug 3, 2019 2:22 pm x4000Bughunter Note Added: 0052389